﻿@model Avira.MarketingResearch.Model.ViewModels.RoleInsertDbViewModel

@{
    ViewData["Title"] = "Create Roles";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style>
    .scroll-div {
        height: 400px;
        position: absolute;
        width: 96%;
        overflow-y: auto;
    }

    .tblpermissions.table > thead > tr > th {
        background: #000;
        color: #fff;
    }

    .tblpermissions.table > tbody > tr > td {
        background: #fff;
        color: #000;
    }

    select:disabled {
        cursor: not-allowed;
    }
</style>

<div class="container">
    <div class="row">
        <div class="col-md-3"></div>
        <div class="col-md-6">
            <div class="section-container section-with-top-border">
                @using (Html.BeginForm("CreateRoles", "Role", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()

                    <div class="form-group">
                        @if (ViewBag.Message != null)
                        {
                            <div class="text-center">
                                <label class="alert alert-danger text-center viewbagmsg" role="alertdialog">@ViewBag.Message</label>
                            </div>
                        }
                        <div class="text-center">
                            <label class="lblErrorMsg alert alert-danger text-center" role="alertdialog"></label>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="form-horizontal">
                        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                        <div class="form-group">
                            @Html.LabelFor(model => model.UserRoleName, htmlAttributes: new { @class = "col-md-12 text-left" })
                            <div class="col-md-6">
                                @Html.EditorFor(model => model.UserRoleName, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.UserRoleName, "", new { @class = "text-danger" })
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <input type="submit" value="Create Role" class="btn btn-inverse btn-primary btn-block width-100" id="createuserrole" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <a href="@Url.Action("Index","Role")" class="btn btn-inverse btn-primary btn-block width-150">
                                        Back to list
                                    </a>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="row pull-right">

                    </div>
                    <div class="clearfix"></div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="scroll-div">
                                <table class="table table-active tblpermissions">
                                    <thead>
                                        <tr>
                                            <th>Permission Name</th>
                                            <th>Permission Level</th>
                                        </tr>
                                    </thead>
                                    @if (ViewBag.RoleList != null)
                                    {
                                        @foreach (var permissions in ViewBag.RoleList)
                                        {
                                            <tr>
                                                <td>
                                                    @{
                                                        int counter = 1;
                                                        var checkboxName = "selectedPermission" + counter;
                                                    }
                                                    <label>
                                                        <input type="checkbox" name="@checkboxName" value="@permissions.Id" class='@permissions.PermissionName'>
                                                        &nbsp; @permissions.PermissionName
                                                    </label>
                                                    @{
                                                        counter++;
                                                    }
                                                </td>
                                                <td>
                                                    @Html.DropDownListFor(model => model.PermissionLevel, ((List<SelectListItem>)ViewBag.listItems).Select(m => new SelectListItem { Text = m.Text, Value = m.Value }), "Select Permission Level", new { @class = "form-control ddlPermission", @id = "pl_" + @permissions.PermissionName })
                                                </td>
                                            </tr>
                                        }
                                    }
                                    else
                                    {
                                        <tr>
                                            <td colspan="2">No Data Found.</td>
                                        </tr>
                                    }
                                </table>
                            </div>
                        </div>
                    </div>
                }
            </div>
        </div>

    </div>

</div>

<script src="~/Scripts/jquery-3.0.0.js"></script>
<script>
    $(document).ready(function () {
        $(".lblErrorMsg").hide();
        $(".ddlPermission").attr("disabled", true);

        $("#createuserrole").click(function (e) {
            $('input[type="checkbox"]').each(function () {
                var classname = "pl_" + this.className;
                if ($(this).is(":checked")) {
                    var ddlplval = $("#" + classname).val();
                    if (ddlplval == "") {
                        e.preventDefault();
                        $(".lblErrorMsg").show();
                        $(".viewbagmsg").hide();
                        $(".lblErrorMsg").text("Please select Permission level.");
                        return false;
                    }
                    else {
                        $(".viewbagmsg").hide();
                        $(".lblErrorMsg").hide();
                        $(".lblErrorMsg").text();
                        return true;
                    }
                }
            });
        });
    });
    $(function () {
        $('input[type="checkbox"]').click(function () {
            var classname = "pl_" + this.className;
            if ($(this).is(":checked")) {
                $("#" + classname).attr("disabled", false);
            }
            else {
                $("#" + classname).attr("disabled", true);
            }
        });
    });
</script>
